Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.interceptor
Class NoRollbackRuleAttribute

    java.lang.Object
      org.springframework.transaction.interceptor.RollbackRuleAttribute
          org.springframework.transaction.interceptor.NoRollbackRuleAttribute

All Implemented Interfaces:
  java.io.Serializable

    public class NoRollbackRuleAttribute

extends RollbackRuleAttribute

Tag subclass of `RollbackRuleAttribute` that has the opposite behavior to the `RollbackRuleAttribute` superclass.

Since:
  09.04.2003
Author:
  Rod Johnson
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute
`ROLLBACK_ON_RUNTIME_EXCEPTIONS`

Constructor Summary
`NoRollbackRuleAttribute(java.lang.Class clazz)` Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `Throwable` class.
`NoRollbackRuleAttribute(java.lang.String exceptionName)` Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `exceptionName`.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute
`equals, getDepth, getExceptionName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoRollbackRuleAttribute

    public NoRollbackRuleAttribute(java.lang.Class clazz)

  Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `Throwable` class.

  Parameters:
    `clazz` - the `Throwable` class
  See Also:
    `RollbackRuleAttribute.RollbackRuleAttribute(Class)`

### NoRollbackRuleAttribute

    public NoRollbackRuleAttribute(java.lang.String exceptionName)

  Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `exceptionName`.

  Parameters:
    `exceptionName` - the exception name pattern
  See Also:
    `RollbackRuleAttribute.RollbackRuleAttribute(String)`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RollbackRuleAttribute`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD